# Copyright 2022 Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)

from odoo import fields, models


class PartnerModule(models.Model):
    _name = "res.partner.module"
    _description = "Modules client"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    name = fields.Char("Nom du module", required=True)
    partner_ids = fields.Many2many(
        comodel_name="res.partner",
        column1="module_id",
        column2="partner_id",
        string="Clients",
        domain=[("is_company", "=", True)],
    )
    latest_version = fields.Char("Version installée")
    author = fields.Char("Auteur")
    author_type = fields.Selection(
        [
            ("lefilament", "Le Filament"),
            ("oca", "OCA"),
            ("other", "Autre"),
        ],
        string="Type",
    )
    active = fields.Boolean("Actif", default=True)

    # ------------------------------------------------------
    # SQL Constraints
    # ------------------------------------------------------
    _sql_constraints = [
        (
            "uniq_module_name",
            "unique(name)",
            "Ce module existe déjà",
        ),
    ]
    # ------------------------------------------------------
    # Default methods
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Onchange / Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD methods (ORM overrides)
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Business methods
    # ------------------------------------------------------
